### Method

# FwupdPlugin UsbHidDescriptor set_blob

since: 2.0.2

#### Declaration [src]

    void
    fu_usb_hid_descriptor_set_blob (
      FuUsbHidDescriptor* self,
      GBytes* blob
    )

#### Description [src]

Sets the HID descriptor binary blob.

Available since: 2.0.2

#### Parameters

`blob`

  Type: `GBytes`

  No description available.

  The data is owned by the caller of the method.